import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const currencies = await conductor.qbd.currencies.list({
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(currencies.data);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
currencies = conductor.qbd.currencies.list(
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(currencies.data)curl --request GET \
--url https://api.conductor.is/v1/quickbooks-desktop/currencies \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.conductor.is/v1/quickbooks-desktop/currencies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Conductor-End-User-Id: <conductor-end-user-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.conductor.is/v1/quickbooks-desktop/currencies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Conductor-End-User-Id", "<conductor-end-user-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.conductor.is/v1/quickbooks-desktop/currencies")
.header("Conductor-End-User-Id", "<conductor-end-user-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.conductor.is/v1/quickbooks-desktop/currencies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Conductor-End-User-Id"] = '<conductor-end-user-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"objectType": "list",
"url": "/v1/quickbooks-desktop/currencies",
"data": [
{
"id": "80000001-1234567890",
"objectType": "qbd_currency",
"createdAt": "2025-01-01T12:34:56.000Z",
"updatedAt": "2025-02-01T12:34:56.000Z",
"revisionNumber": "1721172183",
"name": "United States Dollar",
"isActive": true,
"currencyCode": "USD",
"currencyFormat": {
"thousandSeparator": "comma",
"thousandSeparatorGrouping": "xx_xxx_xxx",
"decimalPlaces": "2",
"decimalSeparator": "period"
},
"isUserDefinedCurrency": false,
"exchangeRate": 1.2345,
"asOfDate": "2024-08-01T00:00:00.000Z"
}
]
}List all currencies
Returns a list of currencies.
NOTE: QuickBooks Desktop does not support pagination for currencies; hence, there is no cursor parameter. Users typically have few currencies.
import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const currencies = await conductor.qbd.currencies.list({
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(currencies.data);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
currencies = conductor.qbd.currencies.list(
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(currencies.data)curl --request GET \
--url https://api.conductor.is/v1/quickbooks-desktop/currencies \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.conductor.is/v1/quickbooks-desktop/currencies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Conductor-End-User-Id: <conductor-end-user-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.conductor.is/v1/quickbooks-desktop/currencies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Conductor-End-User-Id", "<conductor-end-user-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.conductor.is/v1/quickbooks-desktop/currencies")
.header("Conductor-End-User-Id", "<conductor-end-user-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.conductor.is/v1/quickbooks-desktop/currencies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Conductor-End-User-Id"] = '<conductor-end-user-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"objectType": "list",
"url": "/v1/quickbooks-desktop/currencies",
"data": [
{
"id": "80000001-1234567890",
"objectType": "qbd_currency",
"createdAt": "2025-01-01T12:34:56.000Z",
"updatedAt": "2025-02-01T12:34:56.000Z",
"revisionNumber": "1721172183",
"name": "United States Dollar",
"isActive": true,
"currencyCode": "USD",
"currencyFormat": {
"thousandSeparator": "comma",
"thousandSeparatorGrouping": "xx_xxx_xxx",
"decimalPlaces": "2",
"decimalSeparator": "period"
},
"isUserDefinedCurrency": false,
"exchangeRate": 1.2345,
"asOfDate": "2024-08-01T00:00:00.000Z"
}
]
}Authorizations
Headers
Query Parameters
Filter for specific currencies by their QuickBooks-assigned unique identifier(s).
IMPORTANT: If you include this parameter, QuickBooks will ignore all other query parameters for this request.
NOTE: If any of the values you specify in this parameter are not found, the request will return an error.
["80000001-1234567890"]
Filter for specific currencies by their name(s), case-insensitive. Like id, name is a unique identifier for a currency.
IMPORTANT: If you include this parameter, QuickBooks will ignore all other query parameters for this request.
NOTE: If any of the values you specify in this parameter are not found, the request will return an error.
["United States Dollar"]
The maximum number of objects to return.
IMPORTANT: QuickBooks Desktop does not support cursor-based pagination for currencies, so this parameter only limits the response size.
When this parameter is omitted, the endpoint returns all currencies without limit, unlike paginated endpoints which default to 150 records.
x >= 110
Filter for currencies updated on or after this date/time. Accepts the following ISO 8601 formats:
- date-only (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the start of the specified day in the local timezone of the end-user's computer (e.g.,
2025-01-01→2025-01-01T00:00:00). - datetime without timezone (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.
- datetime with timezone (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone.
"2025-01-01T12:34:56.000Z"
Filter for currencies updated on or before this date/time. Accepts the following ISO 8601 formats:
- date-only (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the end of the specified day in the local timezone of the end-user's computer (e.g.,
2025-01-01→2025-01-01T23:59:59). - datetime without timezone (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.
- datetime with timezone (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone.
"2025-02-01T12:34:56.000Z"
Filter for currencies whose name sorts at or after this value (inclusive), compared case-insensitively in QuickBooks' sort order: punctuation first, then digits, then letters.
NOTE: If you use this parameter, you cannot also use nameContains, nameStartsWith, or nameEndsWith.
"A"
Filter for currencies whose name sorts at or before this value (inclusive), compared case-insensitively in QuickBooks' sort order: punctuation first, then digits, then letters. If you also set nameFrom, it must not sort after this value, or QuickBooks returns an error.
NOTE: If you use this parameter, you cannot also use nameContains, nameStartsWith, or nameEndsWith.
"Z"
Response
Returns a list of currencies.

